//
//  GameSheetController.h
//  CoreBreach
//
//  Created by Julian Mayer on 07.11.10.
//  Copyright 2010 - 2011 A. Julian Mayer. All rights reserved.
//



@interface GameSheetController : NSObject {
    IBOutlet NSButton *viewScoreButton;

    IBOutlet NSWindow *pauseSheet;
    IBOutlet NSWindow *finishSheet;

    IBOutlet NSTextField *finishResultText, *multiplayerP1ResultText, *multiplayerP2ResultText;
    IBOutlet NSTextField *carrerHighscoreResult, *customHighscoreResult, *timeattackHighscoreResult;
    
    IBOutlet NSBox *careerBox;
    IBOutlet NSBox *customBox;
    IBOutlet NSBox *timeattackBox;
    IBOutlet NSBox *multiplayerBox;
    IBOutlet NSButton *skipMovieButton;
    IBOutlet NSImageView *player1Image;
    IBOutlet NSImageView *player2Image;
	
	IBOutlet NSTableView *objectivesCareerTable;
	IBOutlet NSTableView *objectivesMultiplayer1Table;
	IBOutlet NSTableView *objectivesMultiplayer2Table;
	IBOutlet NSTableView *objectivesCustomTable;	
	
    IBOutlet NSImageView *finishBanner;
	IBOutlet NSTableView *awardsCareerTable;
	IBOutlet NSTableView *statusCareerTable;
	
	IBOutlet NSTableView *laptimesTimeattackTable;
	IBOutlet NSTableView *laptimesCustomTable;
	IBOutlet NSTableView *laptimesMultiplayer1Table;
	IBOutlet NSTableView *laptimesMultiplayer2Table;	
	
	
	IBOutlet NSTableView *highscoresCareerTable;
	IBOutlet NSTableView *highscoresCustomTable;
	IBOutlet NSTableView *highscoresTimeattackTable;

	
	NSArray *laptimes, *laptimes2, *awards, *awards2;
	NSArray *reallaptimes;
	NSArray *newhighscoreindices;
	NSArray *highscores;
    
	NSDictionary *result, *result2, *settings;
    
    IBOutlet NSButton *tryAgainButton;
    IBOutlet NSTextField *withNewShipTextField;
    int bestnewplace;
}

+ sharedController;


- (IBAction)quitAction:(id)sender __attribute__((__noreturn__));

- (IBAction)viewScoreAction:(id)sender;
- (IBAction)quitFromScoresAction:(id)sender;
- (IBAction)mainmenuAction:(id)sender;
- (IBAction)retryAction:(id)sender;
- (void)showResults;

@property (copy) NSArray *highscores;

@end
